#!/usr/bin/perl -I/usr/local/lib/simusol
# simusol3.pl 
#traduce de un archivo $archivo a ..  para gnuplot
use warnings;
use strict;
use Simusol::Ayudas;



use Text::Abbrev;
use Data::Dumper;
use Simusol::Auxiliares;    #crear_tmp
use Simusol::GlobalesSimusol;
use Simusol::PlotGNU;
use Tablasfuncq;
use Algebraico;
# -----------------------------------------------------------------------------

$Simusol::Ayudas::presentacion='NOSE';
Simusol::Ayudas::abrir_LSS1("gggg","ko",0);



 
 

my $name="colectorsimple2";
my $progname="XXX";
$Simusol::Auxiliares::progname=$progname;
$Simusol::Ayudas::progname=$progname;
$Simusol::Ayudas::progr{$progname}="VVV";

my $version=33;

gnuplot($name);
exit;
#################################################################

sub gnuplot{
    my ($name)=@_;

$Simusol::GlobalesSimusol::CORTOA=$name; 
 $Simusol::GlobalesSimusol::PRINCIPAL="ggg";
    
system "killall gnuplot_x11 2>/dev/null";

$0 =~ m!/([^/]+)\s*$!;
$progname = $1;my $curdirori = `pwd`; chomp $curdirori; $curdirori .= '/';
$progr{$progname} = '3';




my $ref3 = {'curdirori' => $curdirori};
foreach my $palabra  ('corto','cortosin','basearchcorto','dirarray') {
    $ref3->{$palabra} = [];
}; 
crear_tmp_simusol();
my ($coderr,$mensaje) = Simusol::PlotGNU::interpretar_opciones_3($ref3);
Simusol::Ayudas::impr_debug(__LINE__.' sims',Dumper $ref3);



$Simusol::PlotGNU::opt_hash{graf}="3";  ########################################################################## ?

Simusol::Ayudas::impr_debug(__LINE__.' sim1 opciones',\%Simusol::PlotGNU::opt_hash);  
#----------------------------------------------------------------------------




Simusol::PlotGNU::parar3(200,' Pidio no graficar') if $Simusol::PlotGNU::opt_hash{graf} eq '0';
#----------------------------------------------------------------------------
my $largo = 60 - length($progname); 
my $opc_arg = paraimpr3puntos($largo,@ARGV);

# -----------------------------------------------------------------------------
help() if defined $Simusol::PlotGNU::opt_hash{help};
version() if defined $Simusol::PlotGNU::opt_hash{version};




Simusol::PlotGNU::parar3(200,'No pidió nada') if $Simusol::PlotGNU::opt_hash{graf} == 0;
$Simusol::PlotGNU::debug = $Simusol::PlotGNU::opt_hash{d};
$Simusol::PlotGNU::noverb = $Simusol::PlotGNU::opt_hash{noverb};
# -----------------------------------------------------------------------------

if(@ARGV == 1 and -e "$ARGV[0].paraplot") {
    $Simusol::PlotGNU::archivosinext = $ARGV[0];
} else {
   ($Simusol::PlotGNU::archivosinext) = elegir_archivos('paraplot');
   $Simusol::PlotGNU::archivosinext =~ s/\.paraplot//;
};
my $pwd = `pwd`; chomp $pwd; $pwd .= '/'; 

our ($BASEARCH, $PROPIO, $CORTO) ;


($BASEARCH, $PROPIO, $CORTO, $Simusol::PlotGNU::PROPIOSINDIA, $Simusol::PlotGNU::CORTOSINDIA) 
    = relativizar($Simusol::PlotGNU::archivosinext,$pwd);


# $BASEARCH con separador de directorios incluido
chdir $BASEARCH;
#al haber canbiado de directorio solo interesaran,,
# desde aqui, $PROPIO Y $Simusol::PlotGNU::PROPIOSINDIA; para los errores ...
-e 'gnus' or crear_gnus('./');
-d 'gnus' and -w 'gnus' or die "Necesito trabajar con directorio gnus\n"; 

#$GlobalesSimusol::CORTOA = $CORTO;



####$GlobalesSimusol::PRINCIPAL = $CORTO;

$Simusol::PlotGNU::CORTOASINDIA = $Simusol::PlotGNU::CORTOSINDIA;
$Simusol::PlotGNU::PROPIOASINDIA = $Simusol::PlotGNU::PROPIOSINDIA;



#$GlobalesSimusol::PROPIOA = $PROPIO;  




$Simusol::PlotGNU::BASEARCHA = $BASEARCH;
my $BASEARCHA = $BASEARCH;


$Simusol::PlotGNU::pwdori = $pwd;

abrir_LSS1($Simusol::PlotGNU::PROPIOSINDIA,$progname,1);
system "rm $Simusol::PlotGNU::PROPIOSINDIA.gra 2>/dev/null";
my $date = scalar localtime((stat "$Simusol::PlotGNU::PROPIOSINDIA.paraplot")[9]);
mensaje('=-' x 2 ."Mensajes de simusol3.pl,          $Simusol::PlotGNU::PROPIOSINDIA.paraplot, "
          . $date);
# -----------------------------------------------------------------------------

#pedidos concretos de elementos de grafos
# habrá que incorporar otras unidades
# se necesitan los apóstrofes para el gnuplot
$Simusol::PlotGNU::mensaje_comienzo = ' Preparado por simusol3.pl
    #   Se ejecuta con: gnuplot -persist';  
# -----------------------------------------------------------------------------



Simusol::PlotGNU::leer_paraplot3("$Simusol::PlotGNU::PROPIOASINDIA.paraplot");

print "PLOT   $Simusol::PlotGNU::PROPIOASINDIA.paraplot\n";

impr_debug(__LINE__.' sim3 %Simusol::PlotGNU::exigraf',\%Simusol::PlotGNU::exigraf);
impr_debug(__LINE__.' sim3 %Simusol::PlotGNU::marca',Dumper \%Simusol::PlotGNU::marca);
#if ($Simusol::PlotGNU::opt_hash{graf} eq 1
#       or ($Simusol::PlotGNU::opt_hash{graf} and  scalar (keys %Simusol::PlotGNU::exigraf) == 0)) {
#    $Simusol::PlotGNU::opt_hash{graf} = 1;die;
#   Simusol::PlotGNU::graficar_interact();
#    # gráficos interactivos (a pedido o por falta de pedidos concretos)
#} else {
    #contr_jun() if scalar keys %juntos;
    Simusol::PlotGNU::contr();
    # Si no hubo nada para graficar, contr hizo parar3  
    Simusol::PlotGNU::graficar_pedidos();   
#};
Simusol::PlotGNU::parar3(0,'');
#termina el principal

}
# -----------------------------------------------------------------------------
sub help{
    pod2usage({-verbose => 0
           ,-exit => 1
	   ,-message => "   $progname $version
       es parte del conjunto de scripts de S I M U S O L
            más ayuda con   
	       man $progname
	    y luego salga con   q\n"   
	   });	   
}
#----------------------------------------------------------------------------
sub version{
    print "\n      $progname  $version\n\n";
    exit
}





